net.sf.jasperreports.charts

## Interface JRMeterPlot

- All Superinterfaces:
    java.lang.Cloneable, JRChartPlot, JRCloneable
  All Known Implementing Classes:
    JRBaseMeterPlot, JRDesignMeterPlot, JRFillMeterPlot

      public interface JRMeterPlot
      extends JRChartPlot

  This type of plot can be used only for Meter charts and represents the display options of a Meter Chart. A meter chart consists of a dial, a needle pointing to the current value on the dial, and the value itself. The Meter plot can be broken up into shaded regions to highlight portions of the range.
  Version:
    $Id: JRMeterPlot.java 6995 2014-04-01 11:26:53Z shertage $
  Author:
    Barry Klawans (bklawans@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `JRChartPlot.JRSeriesColor`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRDataRange` | `getDataRange()` Returns the range of values that the Meter can display.
    `java.util.List<JRMeterInterval>` | `getIntervals()` Returns a list of all the intervals contained in this Meter.
    `java.lang.Integer` | `getMeterAngleInteger()` Returns the size of the Meter face in degrees.
    `java.awt.Color` | `getMeterBackgroundColor()` Returns the background color of the meter.
    `java.awt.Color` | `getNeedleColor()` Returns the color used when drawing the meter's pointer.
    `MeterShapeEnum` | `getShapeValue()` Returns the shape of the Meter.
    `java.awt.Color` | `getTickColor()` Returns the color used when drawing tick marks on the meter.
    `java.lang.Integer` | `getTickCount()` Returns the number of major ticks on the meter scale.
    `java.lang.Double` | `getTickIntervalDouble()` Returns the spacing between the ticks on the face of the meter.
    `JRFont` | `getTickLabelFont()` Returns the font used to write tick labels on the meter.
    `java.lang.String` | `getUnits()` Returns the name of the units that the Meter is displaying.
    `JRValueDisplay` | `getValueDisplay()` Returns a description of how the value of the Meter is displayed.

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `addSeriesColor, clearSeriesColors, clone, collectExpressions, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Method Detail

    - #### getDataRange

          JRDataRange getDataRange()

      Returns the range of values that the Meter can display.
      Returns:
        the range of values that the Meter can display

    - #### getValueDisplay

          JRValueDisplay getValueDisplay()

      Returns a description of how the value of the Meter is displayed. This includes any font and color information, the location of the value, a formatting mask and an optional "units" string to append to the value.
      Returns:
        a description of how the value of the Meter is displayed.

    - #### getShapeValue

          MeterShapeEnum getShapeValue()

      Returns the shape of the Meter. The shape is only relevant if the Meter face is over 180 degrees wide, and controls how the portion of the circle described by the Meter but outside of the Meter is drawn. (If the meter is 240 degrees wide the shape setting controls how the remaining 120 degrees is displayed.)
      The value returned is one of the shape constants defined in `MeterShapeEnum`.
      Returns:
        a description of how the value of the Meter is displayed.

    - #### getIntervals

          java.util.List<JRMeterInterval> getIntervals()

      Returns a list of all the intervals contained in this Meter. The return value is never `null` but can be an empty list. Each element in the list is a ``net.sf.jasperreports.charts.util.JRMeterInterval``
      Returns:
        a list of all the intervals contained in this Meter

    - #### getMeterAngleInteger

          java.lang.Integer getMeterAngleInteger()

      Returns the size of the Meter face in degrees. By default the meter dial is a semicircle.
      Returns:
        the size of the Meter face in degrees

    - #### getUnits

          java.lang.String getUnits()

      Returns the name of the units that the Meter is displaying. This value will be appended to the value when displayed.
      Returns:
        the name of the units that the Meter is displaying

    - #### getTickIntervalDouble

          java.lang.Double getTickIntervalDouble()

      Returns the spacing between the ticks on the face of the meter. The spacing is relative to the range that the meter is displaying - if the range is 0 to 500 and the tick interval is 50 then 10 ticks will be displayed.
      Returns:
        the spacing between the ticks on the face of the meter

    - #### getTickCount

          java.lang.Integer getTickCount()

      Returns the number of major ticks on the meter scale.
      Returns:
        the spacing between the ticks on the face of the meter

    - #### getMeterBackgroundColor

          java.awt.Color getMeterBackgroundColor()

      Returns the background color of the meter. This is the color of the meter's face.
      Returns:
        the background color of the meter.

    - #### getNeedleColor

          java.awt.Color getNeedleColor()

      Returns the color used when drawing the meter's pointer.
      Returns:
        the color used when drawing the meter's pointer

    - #### getTickColor

          java.awt.Color getTickColor()

      Returns the color used when drawing tick marks on the meter.
      Returns:
        the color used when drawing tick marks on the meter

    - #### getTickLabelFont

          JRFont getTickLabelFont()

      Returns the font used to write tick labels on the meter.
      Returns:
        the font used to write tick labels on the meter

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com